NDB_PERROR(1)

NAME
ndb_perror - obtain NDB error message information

SYNOPSIS

ndb_perror options

DESCRIPTION

ndb_perror shows information about an NDB error, given its error code. This includes the error message, the type of error, and whether the error is permanent or temporary. Added to the MySQL NDB Cluster distribution in NDB 7.6, it is intended as a drop-in replacement for perror --ndb. Usage

    ndb_perror [options] error_code

ndb_perror does not need to access a running NDB Cluster, or any nodes (including SQL nodes). To view information about a given NDB error, invoke the program, using the error code as an argument, like this:

    $> ndb_perror 323
    NDB error code 323: Invalid nodegroup id, nodegroup already existing: Permanent error: Application error

To display only the error message, invoke ndb_perror with the --silent option (short form -s), as shown here:

    $> ndb_perror -s 323
    Invalid nodegroup id, nodegroup already existing: Permanent error: Application error

Like perror, ndb_perror accepts multiple error codes:

    $> ndb_perror 321 1001
    NDB error code 321: Invalid nodegroup id: Permanent error: Application error
    NDB error code 1001: Illegal connect string

Additional program options for ndb_perror are described later in this section.

ndb_perror replaces perror --ndb, which is deprecated in NDB 7.6 and subject to removal in a future release of MySQL NDB Cluster. To make substitution easier in scripts and other applications that might depend on perror for obtaining NDB error information, ndb_perror supports its own “dummy” --ndb option, which does nothing.

The following table includes all options that are specific to the NDB Cluster program ndb_perror. Additional descriptions follow the table.

Table 21.36. Command-line options used with the program ndb_perror
Format | Description | Added, Deprecated, or Removed
--defaults-extra-file=path | Read given file after global files are read | (Supported in all NDB releases based on MySQL 5.7)
--defaults-file=path | Read default options from given file only | (Supported in all NDB releases based on MySQL 5.7)
--defaults-group-suffix=string | Also read groups with concat(group, suffix) | (Supported in all NDB releases based on MySQL 5.7)
--help, -? | Display help text | ADDED: NDB 7.6.4
--login-path=path | Read given path from login file | (Supported in all NDB releases based on MySQL 5.7)
--ndb | For compatibility with applications depending on old versions of perror; does nothing | ADDED: NDB 7.6.4
--no-defaults | Do not read default options from any option file other than login file | (Supported in all NDB releases based on MySQL 5.7)
--print-defaults | Print program argument list and exit | (Supported in all NDB releases based on MySQL 5.7)
--silent, -s | Show error message only | ADDED: NDB 7.6.4
--version, -V | Print program version information and exit | ADDED: NDB 7.6.4
--verbose, -v | Verbose output; disable with --silent | ADDED: NDB 7.6.4

Additional Options

    • --help, -?
    Command-Line Format | --help
    Introduced | 5.7.19-ndb-7.6.4

    Display program help text and exit.

    • --ndb
    Command-Line Format | --ndb
    Introduced | 5.7.19-ndb-7.6.4

    For compatibility with applications depending on old versions of perror that use that program's --ndb option. The option when used with ndb_perror does nothing, and is ignored by it.

    • --silent, -s
    Command-Line Format | --silent
    Introduced | 5.7.19-ndb-7.6.4

    Show error message only.

    • --version, -V
    Command-Line Format | --version
    Introduced | 5.7.19-ndb-7.6.4

    Print program version information and exit.

    • --verbose, -v
    Command-Line Format | --verbose
    Introduced | 5.7.19-ndb-7.6.4

    Verbose output; disable with --silent.

COPYRIGHT

Copyright © 1997, 2022, Oracle and/or its affiliates.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

NOTES

1.  --defaults-extra-file=path
    https://dev.mysql.com/doc/refman/8.0/en/mysql-cluster-programs-ndb-perror.html#option_ndb_perror_defaults-extra-file

2.  --defaults-file=path
    https://dev.mysql.com/doc/refman/8.0/en/mysql-cluster-programs-ndb-perror.html#option_ndb_perror_defaults-file

3.  --defaults-group-suffix=string
    https://dev.mysql.com/doc/refman/8.0/en/mysql-cluster-programs-ndb-perror.html#option_ndb_perror_defaults-group-suffix

4.  --login-path=path
    https://dev.mysql.com/doc/refman/8.0/en/mysql-cluster-programs-ndb-perror.html#option_ndb_perror_login-path

5.  --no-defaults
    https://dev.mysql.com/doc/refman/8.0/en/mysql-cluster-programs-ndb-perror.html#option_ndb_perror_no-defaults

6.  --print-defaults
    https://dev.mysql.com/doc/refman/8.0/en/mysql-cluster-programs-ndb-perror.html#option_ndb_perror_print-defaults

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).